# Uses of Class
org.apache.wiki.pages.haddock.SearchResultsPage

Packages that use SearchResultsPage
Package
Description
org.apache.wiki.pages.haddock
JSPWiki Haddock's Page Objects.

## Uses of SearchResultsPage in org.apache.wiki.pages.haddock

Methods in org.apache.wiki.pages.haddock that return SearchResultsPage
Modifier and Type
Method
Description
`static SearchResultsPage`
SearchResultsPage.`open(String pageName)`
Open the search results page with a given query text to search for.
`SearchResultsPage`
ViewWikiPage.`searchFor(String text)`
Searches for a given text.
`SearchResultsPage`
SearchResultsPage.`shouldContain(String... pageNames)`
Ensures that the given page names are present on the search results.